Name: kernel-source-sk98lin
Version: 10.21
Release: alt1
Summary: Marvell Yukon/SysKonnect SK-98xx Gigabit Ethernet Adapter driver
License: GPL
Group: Development/Kernel
URL: http://www.skd.de/e_en/products/nics.html
BuildArch: noarch
BuildRequires: kernel-build-tools

# %define version_tag	%(echo %version | sed -e 'y/./_/')
#
# http://www.skd.de/e_en/products/adapters/pci_64/sk-98xx_v20/software/linux/driver/install-%version_tag.tar.bz2
#
# tar -xj -f install-%version_tag.tar.bz2
# mv DriverInstall sk98lin
# tar -xj -f sk98lin/sk98lin.tar.bz2 -C sk98lin
# rm -f sk98lin/sk98lin.tar.bz2
#
Source0: sk98lin-%version.tar

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
The sk98lin driver supports the Marvell Yukon, Yukon EC/FE, Yukon 2 and
SysKonnect SK-98xx/SK-95xx compliant Gigabit Ethernet Adapter on Linux.
An older version of this driver is already included in 2.4.x and 2.6.x
Linux kernels; this version supports more adapters (especially Yukon 2
series, which is not supported by the 6.x driver).

Note that recent 2.6.x kernels contain "skge" and "sky2" drivers, which
should support all hardware supported by sk98lin, including Yukon 2.

%prep
%setup -c -q
mv sk98lin-%version %name-%version

find . -name '*.orig' -print -delete

cd %name-%version/2.6
ln -s ../common/*.[ch] ./
cd h
ln -s ../../common/h/*.[ch] ./
cd ../../2.4
ln -s ../common/*.[ch] ./
cd h
ln -s ../../common/h/*.[ch] ./
cd ../../..

%install
mkdir -p %kernel_srcdir
tar --owner=root --group=root --mode=u+w,go-w,go+rX -cjf \
        %kernel_srcdir/%name-%version.tar.bz2 \
        %name-%version

%files
%_usrsrc/*

%changelog
* Wed Sep 26 2007 L.A. Kostis <lakostis@altlinux.ru> 10.21-alt1
- Updated to v10.21.
- Remove obsoleted patches (fixed by upstream).

* Wed Nov 15 2006 Sergey Vlasov <vsu@altlinux.ru> 8.36-alt1
- Updated to 8.36.
- Removed sk98lin-8.31-fix-compile-with-2.6.16.patch (obsolete).
- Added patches:
  + sk98lin-8.36-alt-2.6.16-compat.patch: fix compatibility with kernel 2.6.16
    (use pm_message_t and pci_choose_state() in PCI suspend method)
  + sk98lin-8.36-alt-2.6.18-compat.patch: fix compatibility with kernel 2.6.18
    (update for skb_padto() API change; update for struct skb_shared_info
    tso_size field renaming to gso_size)

* Wed Nov 15 2006 Sergey Vlasov <vsu@altlinux.ru> 8.31-alt2
- Converted to kernel-source-sk98lin for building separately from the kernel.
- Repacked sources for optimal storage in git repository.
- Added note about skge and sky2 drivers in %%description.

* Sat Mar 11 2006 Sergey Vlasov <vsu@altlinux.ru> 8.31-alt1
- Updated to 8.31.
- Updated URLs.
- Added:
  + sk98lin-8.31-fix-compile-with-2.6.16.patch: fix compile with kernel 2.6.16.

* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 8.28-alt1
- Updated to 8.28.

* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 8.23-alt1
- Updated to 8.23.
- Dropped sk98lin-8.16-pci_name.patch (not needed for 8.23).

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 8.16-alt2
- Added:
  + sk98lin-8.16-pci_name.patch: fix compilation with kernel 2.6.12.

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 8.16-alt1
- Updated to 8.16.
- Changed patching method to apply script (which just replaces old files with
  the version supplied in the tarball).
- Now both 2.4.x and 2.6.x kernels are supported.

* Sun Feb 01 2004 Sergey Vlasov <vsu@altlinux.ru> 6.21-alt1
- Updated to 6.21 (sync with 2.4.25-bk current).
- Spec cleanup; fixed Group.

* Wed Sep 10 2003 Rider <rider@altlinux.ru> 6.17-alt1
- initial build for ALT Linux
